Cyberduck Mountain Duck CLI

#3073 closed enhancement (fixed)

Import Transmit favorites

Reported by: cody@… Owned by: dkocher
Priority: low Milestone: 3.7
Component: core Version: 3.6.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

It would make the transition from Transmit a lot easier if Cyberduck was able to import it's favorites. I understand there more than meets the eye here, but if it's not possible because of some proprietary format, please add a comment so we can apply pressure to the guys at Panic. Thanks.

Attachments (2)

Transmit Favorites1.exportedFavorites (1.5 KB) - added by cody@… on Mar 18, 2009 at 6:47:45 PM.
Transmit exported favorites file
CDTransmitImporter.zip (2.6 KB) - added by charliemonroe on Sep 7, 2010 at 3:14:26 PM.

Download all attachments as: .zip

Change History (26)

comment:1 Changed on Mar 18, 2009 at 6:20:04 PM by dkocher

Please attach a copy of a bookmarks file; possibly found at /Users/dkocher/Library/Application\ Support/Transmit. I don't have a registered copy of Transmit myself that has bookmark saving enabled.

Changed on Mar 18, 2009 at 6:47:45 PM by cody@…

Transmit exported favorites file

comment:2 follow-up: Changed on Mar 18, 2009 at 6:50:55 PM by cody@…

The only thing I found at /Users/~/Library/Application Support/Transmit was a syncing script of some kind. Did a quick Google search and don't see where Transmit actually store the Favorites.

I've attached the file that's generated when you choose Favorites->Export... on the menu.

comment:3 in reply to: ↑ 2 Changed on Mar 18, 2009 at 7:49:22 PM by dkocher

Replying to cody@…:

The only thing I found at /Users/~/Library/Application Support/Transmit was a syncing script of some kind. Did a quick Google search and don't see where Transmit actually store the Favorites.

I've attached the file that's generated when you choose Favorites->Export... on the menu.

Thanks. It is binary (ant not a binary plist) and therefore not interoperable. No chance to read this.

comment:4 follow-up: Changed on Mar 18, 2009 at 8:03:39 PM by cody@…

I'll keep digging for something that might be parse-able. In the meantime, I've put a ticket in with Panic for allowing text based export. Not sure what will come of it. I assume the reason it's not there now is because of security concerns.

comment:5 Changed on Mar 20, 2009 at 3:03:19 PM by dkocher

  • Priority changed from normal to low

comment:6 in reply to: ↑ 4 Changed on Jan 16, 2010 at 6:33:26 PM by dkocher

Replying to cody@…:

I'll keep digging for something that might be parse-able. In the meantime, I've put a ticket in with Panic for allowing text based export. Not sure what will come of it. I assume the reason it's not there now is because of security concerns.

I don't see any security implication as passwords are saved in the Keychain.

comment:7 Changed on Jan 16, 2010 at 6:34:13 PM by dkocher

Cross reference to Filezilla Import.

comment:8 Changed on Jul 29, 2010 at 3:09:42 PM by dkocher

Fetch importer in r6448. Flow importer in r6459.

comment:9 follow-up: Changed on Jul 29, 2010 at 3:24:16 PM by dkocher

The Transmit favorites are

  • In ~/Library/Preferences/com.panic.Transmit.plist
  • Base 64 encoded binary plist from NSKeyedArchiver under the key FavoriteCollections.
  • Unarchiving is possible difficult because it was serialized using closed source classes.

comment:10 in reply to: ↑ 9 Changed on Jul 30, 2010 at 12:57:01 PM by dkocher

Replying to dkocher:

The Transmit favorites are

  • In ~/Library/Preferences/com.panic.Transmit.plist
  • Base 64 encoded binary plist from NSKeyedArchiver under the key FavoriteCollections.
  • Unarchiving is difficult impossible because the data is serialized using closed source classes.

Same applies for Forklift.

Last edited on Jul 30, 2010 at 12:57:46 PM by dkocher (previous) (diff)

comment:11 Changed on Jul 30, 2010 at 12:58:03 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

comment:12 follow-up: Changed on Sep 7, 2010 at 2:27:06 PM by charliemonroe

  • Resolution wontfix deleted
  • Status changed from closed to reopened
  • Version changed from 3.1.1 to 3.6.1

Hi,

I've reverse-engineered Transmit's favorites in preferences - would you be willing to add it? Just making sure that in case I work on it further (i.e. add getter methods to) the time I put into it doesn't go to waste...

Charlie

comment:13 in reply to: ↑ 12 Changed on Sep 7, 2010 at 2:36:35 PM by dkocher

Replying to charliemonroe:

Hi,

I've reverse-engineered Transmit's favorites in preferences - would you be willing to add it? Just making sure that in case I work on it further (i.e. add getter methods to) the time I put into it doesn't go to waste...

Charlie

That sounds promising. Can you attach your patch?

Changed on Sep 7, 2010 at 3:14:26 PM by charliemonroe

comment:14 follow-up: Changed on Sep 7, 2010 at 3:15:17 PM by charliemonroe

I'm attaching a zipped file with CDTransmitImporter class - it's using properties and fast enumaration, but I think Cyberduck isn't supporting 10.4 anymore anyway. Sorry it's a little messy code, I'm having finals in less than two weeks, but this was bothering me and I was thinking about it all the time ;)

Generally the usage is [CDTransmitImporter favoritesFromPreferences] - you'll get an array of CDTransmitImportFavorite which has getters for all the properties that could be used - it's all commented - again, sorry, don't have time to actually make it work in Cyberduck's code...

Charlie

comment:15 in reply to: ↑ 14 Changed on Sep 7, 2010 at 3:23:05 PM by dkocher

Replying to charliemonroe:

I'm attaching a zipped file with CDTransmitImporter class - it's using properties and fast enumaration, but I think Cyberduck isn't supporting 10.4 anymore anyway. Sorry it's a little messy code, I'm having finals in less than two weeks, but this was bothering me and I was thinking about it all the time ;)

Generally the usage is [CDTransmitImporter favoritesFromPreferences] - you'll get an array of CDTransmitImportFavorite which has getters for all the properties that could be used - it's all commented - again, sorry, don't have time to actually make it work in Cyberduck's code...

Charlie

Thanks, I'll have a look. Will have to translate it into Java to make it fit into the existing importer package.

comment:16 Changed on Sep 7, 2010 at 4:42:01 PM by dkocher

I have it working here integrated into the existing source code. Do you have a favorite collection with all possible protocols for testing available?

comment:17 follow-up: Changed on Sep 7, 2010 at 5:27:40 PM by charliemonroe

Yes, most of them - I'll create a few phony test ones. I'll check out the source code and compile it - is it in the trunk - couldn't find it there? Will report back any issues.

comment:18 in reply to: ↑ 17 Changed on Sep 7, 2010 at 6:40:54 PM by dkocher

Replying to charliemonroe:

Yes, most of them - I'll create a few phony test ones. I'll check out the source code and compile it - is it in the trunk - couldn't find it there? Will report back any issues.

I wanted to test it first more thoroughly before checking into the repository. Can you send me a bookmark file by email?

comment:19 follow-up: Changed on Sep 7, 2010 at 7:06:58 PM by charliemonroe

I couldn't find your email address anywhere, so I've uploaded it to my server - http://bit.ly/aKiRMn - just place it to ~/Library/Preferences/ - that's where Transmit keeps it.

Let me know when you've downloaded it, I'll remove it from the server.

comment:20 in reply to: ↑ 19 Changed on Sep 7, 2010 at 7:14:23 PM by dkocher

Replying to charliemonroe:

I couldn't find your email address anywhere, so I've uploaded it to my server - http://bit.ly/aKiRMn - just place it to ~/Library/Preferences/ - that's where Transmit keeps it.

Let me know when you've downloaded it, I'll remove it from the server.

Fetched it, thanks.

comment:21 Changed on Sep 7, 2010 at 8:29:58 PM by charliemonroe

Thank You for everything! I will donate as soon as I get my paycheck this month! Take care and if anything doesn't work, let me know, I'll try to figure out why (I know some Java basics).

comment:22 Changed on Sep 8, 2010 at 8:51:10 AM by dkocher

  • Milestone set to 4.0
  • Resolution set to fixed
  • Status changed from reopened to closed

In r6904 and r6905.

comment:23 Changed on Sep 8, 2010 at 11:15:32 AM by dkocher

  • Milestone changed from 4.0 to 3.6.2

comment:24 Changed on Oct 20, 2010 at 3:43:23 PM by dkocher

Causing some serious problems in #5351.

Note: See TracTickets for help on using tickets.
swiss made software